--
package Test_Data is

   type Root_Message_Type is tagged null record;

   procedure Send (D : Root_Message_Type) is null;

   type Message_Type_1 is new Root_Message_Type with record
      Data : String (1 .. 10) := (others => '*');
   end record;

   procedure Send (D : Message_Type_1);

   type Message_Type_2 is new Root_Message_Type with record
      Int : Integer := 123;
   end record;

   procedure Send (D : Message_Type_2);

end Test_Data;
